import whisper
from zhconv import convert


def get_whisper_asr(video, model='medium'):
    try:
        model = whisper.load_model(model)
        result = model.transcribe(video, language='Chinese')
        # 简繁转换
        # zh-cn 大陆简体
        # zh-hant 繁体
        return convert(result['text'], 'zh-cn')
    except:
        return ''
